using ThinkGeo.Core;

var builder = WebApplication.CreateBuilder(args);
var app = builder.Build();

var message = "";

try
{
    var doesFileExist = File.Exists("JasonMontana1.kml");
    message += "Does the File Exist? " + doesFileExist +". ";

    var creationTime = File.GetCreationTime("JasonMontana1.kml");
    message += "When was the file created? " + creationTime.ToLongTimeString() + ". ";

    var kmlFeatureLayerSource = new KmlFeatureSource("JasonMontana1.kml", FileAccess.Read);
    //var kmlFeatureLayerSource = new GdalFeatureSource("JasonMontana1.kml", FileAccess.Read);
    kmlFeatureLayerSource.Open();

    var features = kmlFeatureLayerSource.GetAllFeatures(ReturningColumnsType.AllColumns);

    if (features.Any())
    {
        message += "Success, found " + features.Count() + " feature(s)";
    }
    else
    {
        message += "No features found.";
    }

}
catch (Exception ex)
{
    message += ex.ToString();
}

app.MapGet("/", () => message);
app.Run();